org.eclipse.wst.jsdt.chromium.debug.core.model

## Class JavascriptVmEmbedderFactory

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptVmEmbedderFactory

    public class JavascriptVmEmbedderFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JavascriptVmEmbedderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JavascriptVmEmbedder.ConnectionToRemote` `connectToStandalone(java.lang.String host, int port, NamedConnectionLoggerFactory connectionLoggerFactory)`
`static JavascriptVmEmbedder.ConnectionToRemote` `connectToWipBrowser(java.lang.String host, int port, WipBackend backend, NamedConnectionLoggerFactory browserLoggerFactory, NamedConnectionLoggerFactory tabLoggerFactory, WipTabSelector tabSelector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavascriptVmEmbedderFactory

    public JavascriptVmEmbedderFactory()

### Method Detail

#### connectToWipBrowser

    public static JavascriptVmEmbedder.ConnectionToRemote connectToWipBrowser(java.lang.String host,
                                                                              int port,
                                                                              WipBackend backend,
                                                                              NamedConnectionLoggerFactory browserLoggerFactory,
                                                                              NamedConnectionLoggerFactory tabLoggerFactory,
                                                                              WipTabSelector tabSelector)
                                                                       throws CoreException

Throws:
  `CoreException`

#### connectToStandalone

    public static JavascriptVmEmbedder.ConnectionToRemote connectToStandalone(java.lang.String host,
                                                                              int port,
                                                                              NamedConnectionLoggerFactory connectionLoggerFactory)